#!/usr/bin/nawk -f
# expand.awk V2.00 (C) yoshioka.teruo@nifty.com, 2003-11-04.
# expand.awk expands tab character to space characters.
# Usage: expand.awk <input >output
function String(n,c){
  s="";
  for(k=0;k<n;k++){
    s=s c;
  }
  return(s);
}
BEGIN{
  NFL=5;
  NFC="@";
  tabStop=8;
  TAB="\t";

}
{
  line=$0;
  columns=0;
  str=substr(line,1,NFL);
  for(n=NFL+1;n<=length(line);n++){
    char=substr(line,n,1);
    if(char==TAB){
      m=tabStop-(columns-tabStop*int(columns/tabStop));
      str=str String(m," ");
      columns=columns+m;
    }else{
      str=str char;
      columns=columns+1;
    }
  }
  print str;
}
