#!/usr/bin/nawk -f
# fold.awk V2.00 (C) yoshioka.teruo@nifty.com, 2003-11-04.
# fold.awk folds long line.
# Usage: fold.awk <input >output
function String(n,c){
  s="";
  for(k=0;k<n;k++){
    s=s c;
  }
  return(s);
}
BEGIN{
  NFL=5;
  COL=80;
}
{
  line=$0;
  columns=0;
  n=1;
  while(n<=length(line)){
    char=substr(line,n,1);
    columns=columns+1;
    if(columns>NFL+COL){
      print substr(line,1,n-1);
      line=String(NFL," ") substr(line,n);
      n=1;
      columns=1;
    }
    n=n+1;
  }
  print line;
}
